clear;
% close;

% ----------------------------------------------------------
% experimental spectrum
% ----------------------------------------------------------
str=input('nom du fichier :\n','s'); % ask for the file name
% ----------------------------------------------------------
deltaB=7;%G real to experimentally measured magneticf field
% ----------------------------------------------------------
[BMA,specDPPH, parDPPH]=eprload(str);	% load spectrum
                                                                % BT: Magnetic Fied and Time data
                                                                % spec: intenisty 
                                                                % Param: EPR parameters
B=BMA{1,1}.'; % Magnetic Field in B
MA=BMA{1,2}.'; % time in T
nMA=parDPPH.YPTS;%numbers of point
nB=parDPPH.XPTS;%numbrtd od field
u=1;
% Correction du champ magnetique
BDPPH=(B-deltaB)/10; %champ corrig en mT
%----------------------------------------------------------
% simulation of each spectrum
%----------------------------------------------------------
for i=7:nMA
specDPPH1=specDPPH(:,i);
%----------------------------------------------------------
% spectrum simulation
%----------------------------------------------------------
%param. exp.
RangeBi=[min(BDPPH) max(BDPPH)];
freq=parDPPH.MWFQ/1e9;%GHz
ExpDPPHi = struct('Range',RangeBi,'mwFreq',freq);
ExpDPPHi.Harmonic=1;
%System de spin
SysDPPHi.g=2.012;
SysDPPHi.lwpp=[0.05 0.05];% mT (Gaussienne lorentzienne)
SysDPPHi.ModAmp=MA(i)/10; % Modulation d'amplitude pour esf

%paramtres variables
VaryDPPHi.g=[0.1]; 
VaryDPPHi.lwpp=[0.2 0.2];
VaryDPPHi.ModAmp=0.1;

%fit
FitOpt.Method = 'simplex diff';
[bestsysti,bestspci]=esfit('mymyb',specDPPH1,SysDPPHi,VaryDPPHi,ExpDPPHi,[],FitOpt);
plot(BDPPH,specDPPH1,BDPPH,bestspci);
pause

%simu du fit
ExpDPPH.ModAmp=MA;
[Bsim,spectresim] =garlic(bestsysti,ExpDPPHi);
trap=cumtrapz(cumtrapz(BDPPH,bestspci));
Amp(i)=(max(bestspci)-min(bestspci))/(max(spectresim)-min(spectresim)); %trap(nB);
lwppGauss(i)=bestsysti.lwpp(1);
ModAmp(i)=bestsysti.ModAmp;
lwppLorentz(i)=bestsysti.lwpp(2);
int2(i)=trap(length(BDPPH)); 
% rmsd(i)=sqrt(mean((specTAM2-transpose(bestspc)).^2))
end;
plot(MA,ModAmp);
ResInt=[MA;int2;Amp;lwppGauss;lwppLorentz;ModAmp];

Namecsv=horzcat(str,'intb.csv');
csvwrite(Namecsv,ResInt); % ecrit un fichier csv 
